{{- $appConfig := .ApplicationConfig.Spec -}}

{{ .Settings.Rails.Environment }}:
  gitlab:
    {{- include "application-config/_externalUrl.yaml" . | nindent 4 }}
    {{- with $appConfig.CDNHost }}
    cdn_host: {{ . }}
    {{- end }}
    {{- with $appConfig.SSHHost }}
    ssh_host: {{ . }}
    {{- end }}
    {{- with $appConfig.Timezone }}
    time_zone: {{ . }} 
    {{- end }}
    {{- with $appConfig.TrustedProxies }}
    trusted_proxies: {{ . | toJson }}
    {{- end }}
    {{- with $appConfig.Settings }}
    {{- mapRailsSettings . | toYaml | nindent 4 }}
    {{- end }}
    {{- with $appConfig.DefaultProjectsFeatures }}
    default_projects_features:
      {{- mapDefaultProjectFeatures . | toYaml | nindent 6 }}
    {{- end }}
    webhook_timeout: {{ $appConfig.WebhookTimeout | default .Settings.Rails.WebhookTimeout | toSeconds }}
    graphql_timeout: {{ $appConfig.GraphQLTimeout | default .Settings.Rails.GraphQLTimeout | toSeconds }}
    application_settings_cache_seconds: {{ $appConfig.ApplicationSettingsCache | default .Settings.Rails.ApplicationSettingsCache | toSeconds }}
  {{- include "application-config/_microsoftGraph.yaml" . | nindent 2 }}
  {{- include "application-config/_objectStorage.yaml" . | nindent 2 }}
  {{- include "application-config/_repositories.yaml" . | nindent 2 }}
  {{- include "application-config/_duoauth.yaml" . | nindent 2 }}
  {{- include "application-config/_kerberos.yaml" . | nindent 2 }}
  {{- include "application-config/_fortiauth.yaml" . | nindent 2 }}
  {{- include "jobprocessor/_sidekiqRails.yaml" . | nindent 2 }}
  {{- include "jobprocessor/_cronJobRails.yaml" . | nindent 2 }}
  {{- include "jobprocessor/_monitoring.yaml" . | nindent 2 }}
